Bug 214317 - [PATCH] mail/py-milter Fix IPv6 Problems and takeing over maintainership
Summary: [PATCH] mail/py-milter Fix IPv6 Problems and takeing over maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason Unovitch
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-11-08 12:34 UTC by schmidt
Modified: 2016-12-15 02:50 UTC (History)
1 user (show)

See Also:


Attachments
diff to update the port (1.21 KB, patch)
2016-11-08 12:34 UTC, schmidt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description schmidt 2016-11-08 12:34:26 UTC
Created attachment 176776 [details]
diff to update the port

py-milter crashes on FreeBSD if IPv6 connections are processed. 

Fixed the bug in a patch for the actual version an reported the bug upstream to be fixed in future release.
Comment 1 schmidt 2016-12-01 06:38:17 UTC
Meanwhile the Maintainer has committed my patch to the project. So the next release this will be fixed.
Comment 2 commit-hook freebsd_committer 2016-12-01 23:42:01 UTC
A commit references this bug:

Author: junovitch
Date: Thu Dec  1 23:41:25 UTC 2016
New revision: 427533
URL: https://svnweb.freebsd.org/changeset/ports/427533

Log:
  mail/py-milter: fix runtime crash; pass on MAINTAINER

  - Import patch to resolve crash during IPv6 connection handling. Submitter
    has coordinated fix with upstream; it can be removed next update.
  - Pass on MAINTAINER to from ports@ to submitter.
  - While here, move DIST_SUBDIR to appease portlint.

  PR:		214317
  Submitted by:	schmidt@ze.tum.de
  MFH:		2016Q4 (blanket)

Changes:
  head/mail/py-milter/Makefile
  head/mail/py-milter/files/
  head/mail/py-milter/files/patch-miltermodule.c
Comment 3 commit-hook freebsd_committer 2016-12-01 23:43:04 UTC
A commit references this bug:

Author: junovitch
Date: Thu Dec  1 23:42:09 UTC 2016
New revision: 427534
URL: https://svnweb.freebsd.org/changeset/ports/427534

Log:
  MFH: r427533

  mail/py-milter: fix runtime crash; pass on MAINTAINER

  - Import patch to resolve crash during IPv6 connection handling. Submitter
    has coordinated fix with upstream; it can be removed next update.
  - Pass on MAINTAINER to from ports@ to submitter.
  - While here, move DIST_SUBDIR to appease portlint.

  PR:		214317
  Submitted by:	schmidt@ze.tum.de
  Approved by:	ports-secteam (runtime fix blanket)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/mail/py-milter/Makefile
  branches/2016Q4/mail/py-milter/files/
Comment 4 Jason Unovitch freebsd_committer 2016-12-01 23:47:21 UTC
Hi, I missed that the MAINTAINER line in your patch does not match your bugzilla email. Before I change the PR status, can you re-confirm the patch and committed change is correct?
Comment 5 schmidt 2016-12-02 10:24:55 UTC
schmidt@ze.tum.de is my work E-Mail and estartu@augusta.de is my private E-Mail. I will maintain this port in my private time therefore using my private E-Mail. 

Opening a second Bugzilla account seemed a little bit over the top :-) 

Regards
   Estartu
Comment 6 Jason Unovitch freebsd_committer 2016-12-15 02:50:13 UTC
(In reply to schmidt from comment #5)
OK. That makes sense. Thanks. I would just make a mention of that in future submissions.